/*-----------------------------------------------------------------------------
[名称]	EmphasisDlg.h
[概要]	表示色定義設定ダイアログクラスのヘッダ
[備考]	なし
[履歴]	2003-03-13	NC		コメント付加(moralog)
		2003-12-04	b031130 (3366)タイプ別設定で表示色設定を無効に出来ないのを修正(dincom)
-----------------------------------------------------------------------------*/
#if !defined(AFX_EMPHASISDLG_H_INCLUDED_)
#define AFX_EMPHASISDLG_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//-----------------------------------------------------------------------------
// インクルード
//-----------------------------------------------------------------------------
#include "EmphasisListCtrl.h"
#include "OwnerTabPage.h"

/*-----------------------------------------------------------------------------
[名称]	表示色定義設定ダイアログクラス
[用途]	表示色定義設定ダイアログ。
[備考]	なし
-----------------------------------------------------------------------------*/
class CEmphasisDlg : public COwnerTabPage
{
// コンストラクション
public:
	// 生成
	CEmphasisDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ

	// データのアタッチ
	void Attach( CEmphasisDefine* pDefine ){ m_listEmphasis.Attach( pDefine ); m_pDefine = pDefine; };

	// 確定処理
	// ▽ Original BGN
	//void Confirm(){};
	// △ Original End
	// ▼ (3366) BGN 2003.12.04 (dincom)
	void Confirm();
	// ▲ (3366) END

	// 表示制御
	void VisibleControl();

// ダイアログ データ
	//{{AFX_DATA(CEmphasisDlg)
	enum { IDD = IDD_EMPHASIS };
	CButton	m_btnUp;
	CButton	m_btnEdit;
	CButton	m_btnDown;
	CButton	m_btnDelete;
	CButton	m_btnAdd;
	CEmphasisListCtrl	m_listEmphasis;
	BOOL	m_bEnable;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CEmphasisDlg)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	CEmphasisDefine*	m_pDefine;		// 表示色定義 [-] (-)

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CEmphasisDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnEmphasisEdit();
	afx_msg void OnEmphasisAdd();
	afx_msg void OnEmphasisDelete();
	afx_msg void OnEmphasisUp();
	afx_msg void OnEmphasisDown();
	afx_msg void OnItemchangedEmphasisList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDblclkEmphasisList(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_EMPHASISDLG_H_INCLUDED_)
